Skip to main content
GET
/
customers
/
{customer_id}
/
activities
List Activities
curl --request GET \
  --url https://api.{your-broker}.slate-labs.com/customers/{customer_id}/activities
{
  "items": [
    {
      "id": 123,
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "body": "<string>",
      "event_metadata": null,
      "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_deleted": true,
      "deleted_at": "2023-11-07T05:31:56Z",
      "edited_at": "2023-11-07T05:31:56Z",
      "edit_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "agent_name": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Path Parameters

customer_id
string<uuid>
required

Query Parameters

type
string | null

Comma-separated types, e.g. 'note,call_outbound'

limit
integer
default:50
Required range: 1 <= x <= 200
before_id
integer | null

Keyset cursor — last item id from previous page

include_deleted
boolean
default:false

Response

Successful Response

items
ActivityResponse · object[]
required
next_cursor
string | null
required